Status

--
trivial
VERIFIED FIXED
8 years ago
3 years ago

People

(Reporter: krupa.mozbugs, Assigned: andy+bugzilla)

Tracking

Details

(Whiteboard: [z])

Attachments

(1 attachment)

(Reporter)

Description

8 years ago
Created attachment 513326 [details]
screenshot

See https://addons.mozilla.org/en-US/firefox/

The tags have let themselves go. They probably need some help from Jenny Craig.

(the total dominance of amazon-related tags is also worrisome)
I think we're rolling over?

mysql> select * from tag_stat order by num_addons desc limit 20;
+--------+------------+---------------------+---------------------+
| tag_id | num_addons | modified            | created             |
+--------+------------+---------------------+---------------------+
|  16057 | 4294967295 | 2010-03-01 18:33:24 | 0000-00-00 00:00:00 | 
|  22488 | 4294967295 | 2010-07-20 01:35:11 | 0000-00-00 00:00:00 | 
|  22502 | 4294967295 | 2010-07-20 01:37:55 | 0000-00-00 00:00:00 | 
|  22855 | 4294967295 | 2010-07-26 00:32:56 | 0000-00-00 00:00:00 | 
|  22886 | 4294967295 | 2010-07-26 04:40:27 | 0000-00-00 00:00:00 | 
|  28486 | 4294967295 | 2010-11-24 07:27:20 | 0000-00-00 00:00:00 | 
|  22854 | 4294967294 | 2010-07-26 00:32:24 | 0000-00-00 00:00:00 | 
|  22887 | 4294967294 | 2010-07-26 04:40:31 | 0000-00-00 00:00:00 | 
|  22885 | 4294967293 | 2010-07-26 04:40:19 | 0000-00-00 00:00:00 | 
|     89 |        349 | 2009-07-15 20:28:22 | 0000-00-00 00:00:00 | 
|     79 |        301 | 2009-07-15 19:58:49 | 0000-00-00 00:00:00 | 
|    496 |        283 | 2009-07-16 22:29:34 | 0000-00-00 00:00:00 | 
|     52 |        254 | 2009-07-15 19:01:27 | 0000-00-00 00:00:00 | 
|     57 |        252 | 2009-07-15 19:19:05 | 0000-00-00 00:00:00 | 
|     34 |        193 | 2009-07-15 18:24:51 | 0000-00-00 00:00:00 | 
|    322 |        193 | 2009-07-16 13:43:29 | 0000-00-00 00:00:00 | 
|    290 |        158 | 2009-07-16 11:42:12 | 0000-00-00 00:00:00 | 
|    243 |        153 | 2009-07-16 08:22:28 | 0000-00-00 00:00:00 | 
|     63 |        150 | 2009-07-15 19:22:35 | 0000-00-00 00:00:00 | 
|    120 |        147 | 2009-07-15 23:19:29 | 0000-00-00 00:00:00 | 
+--------+------------+---------------------+---------------------+
20 rows in set (0.91 sec)
Assignee: nobody → amckay
Target Milestone: --- → 6.0.0
Also, created/modified looks broken...wtf.
(Assignee)

Comment 3

8 years ago
fligtar: when we recreate tag stats, do you want restricted tags counted?
(In reply to comment #3)
> fligtar: when we recreate tag stats, do you want restricted tags counted?

Yeah
Note in bug 636834 I'll likely be dropping some triggers that are skewing your stats.
(Assignee)

Comment 6

8 years ago
https://github.com/jbalogh/zamboni/commit/f07f4c37869383bcc5a8a35a9a0d7a9ea2711450
https://github.com/jbalogh/zamboni/commit/015372c7b8c41138b6e49c63a49f7c1dd69eee80

QA we'll need to run:

manage.py update_tag_stats --delete

To clean out all the old stats and get the new ones up to date.
Status: NEW → RESOLVED
Last Resolved: 8 years ago
Resolution: --- → FIXED
(Reporter)

Comment 7

8 years ago
I checked https://addons.allizom.org/en-US/firefox/tags/top and it looks vastly better compared to https://addons.mozilla.org/en-US/firefox/tags/top
Status: RESOLVED → VERIFIED
Product: addons.mozilla.org → addons.mozilla.org Graveyard
You need to log in before you can comment on or make changes to this bug.